Create a verifier root CA certificate
Roles
Analytics Events
/v2/presentations/certificates/caCreates a verifier root CA certificate to be used as part of mDocs online verification workflows.
- A maximum of three Verifier root CA certificates can be created per tenant.
Analytic events
- CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_START
- CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_SUCCESS
- CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Verifier root CA certificate payload
TypeScript Definitions
Use the request body type in TypeScript.
Verifier root CA certificate in PEM format. The certificate must be valid and not expired.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/presentations/certificates/ca" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "a3b2c1d4e5f60718293a4b5c6d7e8f90123456789abcdef0123456789abcdef0",
"certificateData": {
"commonName": "Example Verifier",
"country": "US",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"active": true,
"isManaged": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a trusted issuer DELETE
Deletes an existing trusted issuer by providing its ID. ### **Analytic events** * MOBILE_CREDENTIAL_TRUSTED_ISSUER_DELETE_START * MOBILE_CREDENTIAL_TRUSTED_ISSUER_DELETE_SUCCESS * MOBILE_CREDENTIAL_TRUSTED_ISSUER_DELETE_FAIL
Retrieve all verifier root CA certificates GET
Retrieves all existing verifier root CA certificates. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_RETRIEVE_LIST_START * CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_RETRIEVE_LIST_FAIL